# needed for building on el6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0
%global srcname deferred

Name:           nodejs-%{srcname}
Version:        0.7.4
Release:        1%{?dist}
Summary:        Modular and fast Promises implementation for JavaScript
License:        MIT
URL:            https://github.com/medikoo/deferred
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch

%if 0%{?rhel} == 6
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%else
ExclusiveArch:  %{nodejs_arches} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tad)
BuildRequires:  npm(es5-ext)
BuildRequires:  npm(event-emitter)
BuildRequires:  npm(d)
BuildRequires:  npm(next-tick)
%endif

%description
%{summary}.

%prep
%setup -qn package
rm -rf node_modules
#%%nodejs_fixdep

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}

cp -pr package.json lib/ ext/ *.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} ./node_modules/tad/bin/tad
%endif

%files
%{!?_licensedir:%global license %doc}
%doc CHANGES *.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Sat Dec 19 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.7.4-1
- Initial package
